import axios from '../../http/index'
// import axios from '@/common/http'

export const getPicCode = ({access_token,terminal_uid,op_company_id=100000,random_id})=>{
  let data = {access_token,terminal_uid,op_company_id,random_id};
  for(var key in data){
    if(!data[key]){
      delete data[key];
    }
  }
  return axios.post('UserAccount/getVerificationCode',data)
}

export const getPicCode1 = ({access_token,terminal_uid,op_company_id=100000,random_id,content=1})=>{
  let data = {access_token,terminal_uid,op_company_id,random_id};
  for(var key in data){
    if(!data[key]){
      delete data[key];
    }
  }
  return axios.post('/api/150206',data)
}
export const getPicCode2 = ({access_token,terminal_uid,op_company_id=100000,random_id})=>{
  let data = {access_token,terminal_uid,op_company_id,random_id};
  for(var key in data){
    if(!data[key]){
      delete data[key];
    }
  }
  return axios.post('/api/101264',data)
}